shibsp::SocketListener Class Reference

Berkeley Socket-based ListenerService implementation. More...

`#include <shibsp/remoting/impl/SocketListener.h>`

Inheritance diagram for shibsp::SocketListener:
[legend]
Collaboration diagram for shibsp::SocketListener:
[legend]

## Friends

class | ServerThread

## Additional Inherited Members

Public Member Functions inherited from shibsp::ListenerService
virtual DDF | send (const DDF &in)=0
| Send a remoted message and return the response.
void | receive (DDF &in, std::ostream &out)
| Receive a remoted message and write the response.
DDF * | getInput () const
| Access the input message being processed by the active worker thread.
virtual void | regListener (const char *address, Remoted *svc)
| Register for a message.
virtual bool | unregListener (const char *address, Remoted *current)
| Unregisters service from an address, possibly restoring an original.
virtual Remoted * | lookup (const char *address) const
| Returns current service registered at an address, if any.
virtual bool | init (bool force)
| OutOfProcess servers can implement server-side initialization that should occur before daemonization.
virtual bool | run (bool *shutdown)=0
| OutOfProcess servers can implement server-side transport handling by calling the run method and supplying a flag to monitor for shutdown.
virtual void | term ()
| OutOfProcess servers can implement server-side termination/cleanup.

## Detailed Description

Berkeley Socket-based ListenerService implementation.

The documentation for this class was generated from the following file:

- shibsp/remoting/impl/SocketListener.h